oss4 (4.2-build2010-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add dependency on libc-dev for oss4-dkms to avoid build failure when
    compiling the module (Closes: #768394)

 -- Tobias Frost <tobi@debian.org>  Sat, 22 Nov 2014 16:22:36 +0100

oss4 (4.2-build2010-1) unstable; urgency=low

  [ Sebastien NOEL ]
  * New upstream release.
    - fix build with recent kernel. (Closes: #696751)
  * Add build dependency on libtool-bin. (Closes: #761783)

  [ Benda Xu ]
  * Use debhelper 9.
  * Bump to standard 3.9.6.
  * Add Benda Xu to uploaders.
  * Run wrap-and-sort.
  * Canonicalize Vcs-Svn field and add Vcs-Browser field.
  * Get rid of limits.h copy hack, leverage include-fixed from gcc.

 -- Sebastien NOEL <sebastien@twolife.org>  Thu, 23 Oct 2014 22:47:56 +0200

oss4 (4.2-build2007-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix to find kernel header (Michal Suchanek). Closes: #713841.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Oct 2014 13:56:56 +0200

oss4 (4.2-build2007-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761779.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:02:33 +0000

oss4 (4.2-build2007-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Downgrade the linux-headers dependency to recommends.
    (Closes: #728267)

 -- Philipp Kern <pkern@debian.org>  Sat, 23 Nov 2013 15:23:32 +0100

oss4 (4.2-build2007-2) unstable; urgency=medium

  * Revert changes from the previous NMU, it breaks more things
    than it fixes.
  * Until a *tested* patch is proposed, VMIX is now using
    fixed point arithmetic in the kernel.

 -- Sebastien NOEL <sebastien@twolife.org>  Tue, 04 Dec 2012 20:53:17 +0100

oss4 (4.2-build2007-1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable preemption in functions touching control registers 
    - Patch thanks to Roland Stigge (closes: #693659).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 24 Nov 2012 06:55:01 +0000

oss4 (4.2-build2007-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMU, thanks Michael Gilbert.
  * Add debian/patches/110_ld-as-needed.patch: Rearrange order of linker
    arguments to fix building with "ld --as-needed" (closes: #630737).
  * Add missing dependency on dpkg-dev to oss4-dkms and oss4-source
    (closes: #687086).
  * Fix typo in the changelog (closes: #628876, #675933)
  * Add debian/patches/002_fix-linux-oss_native_word.patch (closes: #693662).
    Thanks to Ben Hutchings.
  * Add debian/patches/003_linux-error-logging-fixes.patch (closes: #693657).
    Thanks to Ben Hutchings.
  * check for /lib/modules/${kernelver}/build in addition of
    /lib/modules/${kernelver}/source (closes: #587191).
  * oss4-dkms.dkms.in: fix 'CLEAN' rules (closes: #653374).

 -- Sebastien NOEL <sebastien@twolife.org>  Mon, 19 Nov 2012 11:47:24 +0100

oss4 (4.2-build2006-2+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop linux-sound-base dependency, break and replace it (closes: #690574)
    - Directly include OSS-module-list and ALSA-module-list.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 14 Nov 2012 01:47:48 +0000

oss4 (4.2-build2006-2) unstable; urgency=low

  * Fix non-Linux builds: generate alsa.pc from the libsalsa build rule.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 17 May 2012 18:07:38 +0200

oss4 (4.2-build2006-1) unstable; urgency=low

  [ Sebastien NOEL ]
  * New upstream release.
  * control: Bump Standards-Version to 3.9.3 (no changes).

  [ Samuel Thibault ]
  * control: Set liboss4-salsa2 and liboss4-salsa-asound2 mult-arch: same. Set
    liboss4-salsa-asound2 architecture: any to build symlink for each arch.
    Update my email address.
  * alsa.pc: rename to alsa.pc.in
  * liboss4-salsa-dev.install: Remove library rules.
  * liboss4-salsa-asound2.links: Remove.
  * liboss4-salsa2.install: Remove.
  * liboss4-salsa-dev.links: Remove
  * oss4-base.install: Do not use braces, this is actually not supported.
  * rules: Install libraries to multiarch path. Add multiarch path to alsa.pc.
    Remove alsa.pc on clean. Put back libOSS.so to private (but multiarched)
    directory.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 26 Mar 2012 01:05:03 +0200

oss4 (4.2-build2005-3) unstable; urgency=low

  * Enable build of liboss4-salsa-dev on !linux only.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 18 Feb 2012 13:08:30 +0100

oss4 (4.2-build2005-2) unstable; urgency=low

  [ Sebastien NOEL ]
  * Merge Samuel Thibault 's changes in debian/rules: do not prepare oss4
    on hurd-any. Should fixes FTBFS on hurd-any.
  * Reintroduce an oss4-source package. I realy dislike DKMS.
  * Fix oss4-dkms's install failure, thanks to Michel Briand
    (closes: #653374).
  * Fix compilation on i386, closes: #645537.

  [ Samuel Thibault ]
  * debian/control: Make oss4-gtk depend on oss4-base on linux-any only
    (closes: #647271).
  * debian/rules: Remove debian/oss4-dkms.dkms on clean.

 -- Sebastien NOEL <sebastien@twolife.org>  Thu, 29 Dec 2011 21:22:42 +0100

oss4 (4.2-build2005-1) unstable; urgency=low

  [ Sebastien NOEL ]
  * New upstream release.
  * debian/patches/os_cmd: add a new option to ossdetect to choose
    the devices nodes' owner (Closes: #632296).
  * add debian/patches/gcc-4.6.patch (Closes: #625398).
  * add debian/patches/kfreebsd-gnu.patch to build liboss4-salsa2
    and oss4-gtk on GNU/kFreeBSD, thanks to Robert Millan! (Closes: #636631).
  * debian/control: stop providing libasound-dev (Closes: #644685).
  * debian/create-ma-tree.sh: fix oss4-dkms installation (Closes: #640829).

 -- Sebastien NOEL <sebastien@twolife.org>  Sat, 15 Oct 2011 15:22:51 +0200

oss4 (4.2-build2004-1) unstable; urgency=low

  [ Samuel Thibault ]
  * debian/control: Add liboss4-salsa2, liboss4-salsa-dev and
    liboss4-salsa-asound2 packages, equivalent to (and will replace) those from
    the oss-libsalsa package (Closes: #589127).
  * debian/patches/liboss4-salsa.patch: New patch to rename libsalsa into
    liboss4-salsa to avoid conflicts in the archive for no good reason.
  * debian/rules: Make in libOSSlib and libsalsa.
  * debian/liboss4-salsa-dev.install, debian/liboss4-salsa2.install,
    debian/liboss4-salsa-asound2.links, debian/liboss4-salsa-dev.links:
    Install liboss4-salsa libraries like was done in the oss-libsalsa package.
  * include-alsa: Add a copy of ALSA 1.0.5 headers: Cf ALSA_1.0.* symbols in
    libsalsa, this is the roughly supported version.
  * debian/copyright: Update for new include-alsa files.
  * alsa.pc: New file for compatibility with libasound-dev.
  * debian/control:
    - Add Vcs-Browser and Vcs-Svn fields.
    - Use linux-any instead of the list of Linux archs (Closes: #604679).
    - Make dkms dependency linux-any only.
  * debian/patches/hurd_iot.patch: New patch to fix soundcard.h usage in
    libsalsa on hurd-i386.
  * debian/patches/libsalsa_fixes.patch: New patch to fix some printf usages
    and ioctl declaration in libsalsa.
  * debian/patches/no_EBADE.patch: New patch to cope with hurd-i386 not having
    EBADE.
  * debian/patches/CFLAGS.patch: New patch to make oss4 take debian/rules
    CFLAGS into account.
  * debian/patches/snd_asoundlib_version.patch: New patch to add
    snd_asoundlib_version().
  * debian/patches/generic_srccconf.patch: New patch to fix source
    configuration on unknown archs.

  [ Romain Beauxis ]
  * Fixed README.Debian to only mention dkms' modules.
  * Switch to dpkg-source 3.0 (quilt) format
  * Added DM-Upload-Allowed: yes
  
  [ Sebastien NOEL ]
  * New upstream release (Closes: #595298, #619272).
  * Fix typo in initscript (Closes: #627149).
  * debian/control: adjust linux-headers dependencies (Closes: #628876).

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 14 Jun 2011 10:06:56 -0500

oss4 (4.2-build2003-1) unstable; urgency=high

  * New upstream release.
  * Removed oss4-source, set oss4-dmks as the 
    only way to compile the drivers.
  * Reload modules in oss4-dmks' postinst when
    called with action "configure".
  Closes: #558034
  * Added soundon and soundoff script to survive
    a suspend/resume cycle. Added Recommends: pm-utils.
  Closes: #565709
  * Added explicit dependency on linux-headers to make sure
    the modules' build symklink is present.
  Closes: #587191
  * Bumped standards-version.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 14 Jul 2010 21:16:03 -0500

oss4 (4.2-build2002-3) unstable; urgency=low

  * Switched to dh_dkms.
  Closes: #564202
  * Bumped standards-version.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 24 Mar 2010 18:43:54 -0500

oss4 (4.2-build2002-2) unstable; urgency=low

  [ Sebastien NOEL ]
  * oss4-source: fix debian/rules permissions. Closes: #563692.

 -- Sebastien NOEL <sebastien@twolife.org>  Wed, 06 Jan 2010 11:57:19 +0100

oss4 (4.2-build2002-1) unstable; urgency=low

  [ Sebastien NOEL ]
  * New upstream release.
    - drop patches/sharedlib.patch
  * #491551 was fixed a long time ago, remove duplicate modprobe.d rules
    (Closes: #558407).

  [ Romain Beauxis ]
  * Added DKMS modules.
  * Do not execute oss4-base init.d script
    if the package is not installed.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 07 Dec 2009 14:52:21 -0600

oss4 (4.2-build2000-6) unstable; urgency=low

  * Fixed FTBFS on hppa. 

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 29 Nov 2009 15:57:05 -0600

oss4 (4.2-build2000-5) unstable; urgency=low

  * Fixed FTBFS on powerpc and s390. 

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 29 Nov 2009 09:22:39 -0600

oss4 (4.2-build2000-4) unstable; urgency=low

  * Fixed patches against FTBFS, this time for good.. 

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 27 Nov 2009 19:03:50 -0600

oss4 (4.2-build2000-3) unstable; urgency=low

  * Fixed incorrect character in patch.

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 27 Nov 2009 02:33:47 -0600

oss4 (4.2-build2000-2) unstable; urgency=low

  * Switched patch system to quilt via cdbs.
  * Added patch to support sh4 arch, thanks to Nobuhiro Iwamatsu
  Closes: #557909 
  * Adapted one of the above patch to also fix FTBFS on sparc and mips.
  * Added patch to fix FTBFS due to an invalid printf.
  Closes: #557866
  * Added README.Debian to explain how to build the kernel modules.
  * Removed hurd-i386, kfreebsd-amd64 and kfreebsd-i386 from the 
    list of target archs. A better solution should be investigated later..

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 26 Nov 2009 23:45:32 -0600

oss4 (4.2-build2000-1) unstable; urgency=low

  * Initial release (Closes: #483856)

 -- Sebastien NOEL <sebastien@twolife.org>  Tue, 15 Sep 2009 16:41:55 +0200

